import { r as t, h as e, F as r } from "./index.e6beb8d9.js";
import { c as i } from "./index-orsBiyT_.fc4357c3.js";
import "react";
import "react-dom";
const o = () => ":host{display:inline-flex}", l = class {
  constructor(s) {
    t(this, s), this.size = 24;
  }
  render() {
    const s = i("swirl-symbol", `swirl-symbol--size-${this.size}`);
    return e("svg", { key: "c70a4bebd054e473252e06267886d748146d7dc8", class: s, fill: "none", height: this.size, part: "symbol", viewBox: "0 0 24 24", width: this.size, xmlns: "http://www.w3.org/2000/svg" }, e(r, { key: "6947071683559f28bbdcb791a610f86975bdbf05" }, e("path", { key: "0cdc22fd68303b7f76f9e29963d2b0fa610abfa4", d: "M17 1.01L7 1C5.9 1 5 1.9 5 3V21C5 22.1 5.9 23 7 23H17C18.1 23 19 22.1 19 21V3C19 1.9 18.1 1.01 17 1.01ZM17 19H7V5H17V19Z", fill: "currentColor" })));
  }
};
l.style = o();
export {
  l as swirl_symbol_smartphone
};
